Bug 1271865 - VPN continually resets connection with "Rejected send message" dbus error
VPN continually resets connection with "Rejected send message" dbus error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 18:57 EDT by Alex Villacís Lasso
Modified: 2016-07-19 15:19 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:19:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log extract of VPN connection being dropped and restarted repeatedly (58.72 KB, text/plain)
2015-10-14 18:57 EDT, Alex Villacís Lasso
no flags Details
/var/log/audit/audit.log extract (9.87 KB, text/plain)
2015-10-15 12:11 EDT, Alex Villacís Lasso
no flags Details
nm-openvpn-service.conf (492 bytes, text/plain)
2015-10-15 12:15 EDT, Alex Villacís Lasso
no flags Details
org.freedesktop.NetworkManager.conf (8.09 KB, text/plain)
2015-10-15 12:17 EDT, Alex Villacís Lasso
no flags Details
Log of dbus problems for nm-openvpn-service-openvpn-helper (6.55 KB, text/plain)
2015-10-21 12:37 EDT, Diego
no flags Details

  None (edit)
Description Alex Villacís Lasso 2015-10-14 18:57:42 EDT
Created attachment 1083045 [details]
Log extract of VPN connection being dropped and restarted repeatedly

Description of problem:
When connecting to this openvpn, the connection continually drops and restarts every 10 to 20 seconds. This disrupts SSH attempts to the machines accessible through the VPN. 

The /var/log/messages file gets filled with the attempts, including messages such as:

Oct 14 17:37:44 avillacis dbus[593]: [system] Rejected send message, 3 matched rules; type="method_call", sender=":1.183" (uid=982 pid=16826 comm="/usr/libexec/nm-openvpn-service-openvpn-helper --t") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="SetConfig" error name="(unset)" requested_reply="0" destination="org.freedesktop.NetworkManager.openvpn" (uid=0 pid=16716 comm="/usr/libexec/nm-openvpn-service ")
Oct 14 17:37:44 avillacis NetworkManager: (process:16826): nm-openvpn-WARNING **: Could not send configuration information: Rejected send message, 3 matched rules; 

And also:

Oct 14 17:37:51 avillacis nm-openvpn[16743]: Connection reset, restarting [0]
Oct 14 17:37:51 avillacis nm-openvpn[16743]: SIGUSR1[soft,connection-reset] received, process restarting


Version-Release number of selected component (if applicable):
openvpn-2.3.8-1.fc22.x86_64
NetworkManager-1.0.6-6.fc22.x86_64
NetworkManager-openvpn-1.0.6-3.fc22.x86_64

How reproducible:
Always on selected connection

Steps to Reproduce:
1.
2.
3.

Actual results:
Connection drops and is restarted repeatedly.

Expected results:
Connection should be sustained.

Additional info:

Attached file contains full log of the connection drops.
Comment 1 Jirka Klimes 2015-10-15 08:30:40 EDT
Do you have SELinux enabled?
$ sudo getenforce

If so, please disable it and try again
$ sudo setenforce 0

Have you modified D-Bus configuration in some way? Specifically, files
/etc/dbus-1/system.d/nm-openvpn-service.conf
and
/etc/dbus-1/system.d/org.freedesktop.NetworkManager.conf
Comment 2 Alex Villacís Lasso 2015-10-15 12:11 EDT
Created attachment 1083310 [details]
/var/log/audit/audit.log extract

I see no weird messages in audit.log (extract attached).

Setting "setenforcing 0" has no effect. The connection keeps being dropped and restarted.
Comment 3 Alex Villacís Lasso 2015-10-15 12:12:57 EDT
I have not modified any dbus files under /etc. Just in case, I will post their contents.
Comment 4 Alex Villacís Lasso 2015-10-15 12:15 EDT
Created attachment 1083311 [details]
nm-openvpn-service.conf
Comment 5 Alex Villacís Lasso 2015-10-15 12:17 EDT
Created attachment 1083312 [details]
org.freedesktop.NetworkManager.conf
Comment 6 Diego 2015-10-21 12:36:06 EDT
Same problem here with Fedora 23, see attached log.
Comment 7 Diego 2015-10-21 12:37 EDT
Created attachment 1085228 [details]
Log of dbus problems for nm-openvpn-service-openvpn-helper
Comment 8 Stewart Adam 2016-02-23 23:23:14 EST
Same issues here, SELinux disabled and did not modify any D-Bus files.
Comment 9 Fedora End Of Life 2016-07-19 15:19:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.